QGIS Application - Bug report #8021
Wrong PK selected: unclear error message
2013-06-07 01:14 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16867
Description

If a wrong PK is selected, the error message does not refer to the PK (I understand it is probably not possible to know what exactly is
wrong), and the cursor indicates wrongly that something is being processed.

History

#1 - 2013-06-07 04:05 PM - Jiirgen Fischer
- Status changed from Open to Feedback

Please provide more information.

#2 - 2013-06-10 10:37 AM - Paolo Cavallini

| select a table, and a field that is in fact not unique, so not a good PK candidate. If | try to load the table in this way, | get an error that does not state

something like "The field you selected is not a suitable primary key", so it is difficult for the user to understand what is wrong.
Furthermore, the mouse cursor indicates some waiting state, but nothing is happening.

#3 - 2013-06-11 12:34 AM - Jiirgen Fischer

Um, | was asking for more information - not to (slightly) rephrase the old ;)

Which error message do you get?

#4 - 2013-06-11 12:36 AM - Paolo Cavallini

No access to the Oracle instance, sorry.

#5 - 2015-01-10 01:49 PM - Jiirgen Fischer
- Status changed from Feedback to Closed

closing for the lack of feedback

#6 - 2015-01-11 12:40 AM - Paolo Cavallini
IMHO this should not be closed: the fix is easy, once the string is found, and the current situation is misleading for the user.
